Package ru.bitel.bgbilling.kernel.event.events

# Class ContractAddObjectEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractAddObjectEvent

All Implemented Interfaces:
  `Serializable`

public class ContractAddObjectEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - добавление объекта в договор.
Событие генерируется после добавления нового объекта в договор. Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractAddObjectEvent()`
  ``
  `ContractAddObjectEvent(int userId, ContractObject obj)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractObject`
  `getContractObject()`
  Возвращает добавленный объект к договору

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractAddObjectEvent

    protected ContractAddObjectEvent()

  - ### ContractAddObjectEvent

    public ContractAddObjectEvent(int userId, ContractObject obj)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `obj` - - объект договора

- ## Method Details

  - ### getContractObject

    public ContractObject getContractObject()
    Возвращает добавленный объект к договору
    Returns:
      cobj - объект договораs